# Swing Trail

Adding a trail whenever a **MELEE WEAPON** `(Fist, Sword, etc)` is swinging, for that epic combat action!

Join **[TABS Mod Center](https://discord.gg/RUM5pKUe9K)** if there are suggestions, issues, and bugs!

## Credits 💻

The mod was implemented, managed, and crafted by: 
> **Geezt Jeez#1458**.

Inspired by suggestions from: 
> **kirby#6077**

**SFT** Templated is used as a foundation.

## Changelogs 📣

#### (1.0.9)

- Fixed Trail still on the battlefield, causing lags.

#### (1.0.8)

- Fixed a few major game-breaking bugs.

#### (1.0.7)

- Added settings for self-customization.
- Optimized functionality.
- Updated mod dependency.

#### (1.0.6)

- Reduced trail time.
- Trail sizes are now based on damage instead of object size, if no damaged collider is found, will use object sizes instead.
- The trail will now stay for a while (unless for "Keep Swinging" weapons which would always have trails).
- Edited the Swing curvature.
- Removed unnecessary resources.
- Reduced the loading delay from 2 seconds to 1 second.
- Updated dependency of **SLMACore** to 1.1.2.

#### (1.0.5)

- Updated the loading delay to have more seconds so it also loads modded items **(from 0.3 seconds to 2 seconds)**.

#### (1.0.4)

- Given more information and debug on the console for easier troubleshooting.
- Narrowed and tidied up the codes so it's much cleaner now.
- Again, dependencies are now updated to the latest **SLMACore**!

#### (1.0.3)

- Now if a melee weapon could damage without swinging, it has the trail enabled!
- Dependencies are now updated to the latest **SLMACore**!

#### (1.0.2)

- Updated the loading delay to be more optimized, code thanks to **FhpSlime**.

#### (1.0.1)

- Added compatibility with other mods by adding a slight delay on mod loading. Thanks to **BD** for telling me to add this.

#### (1.0.0)

- Created __SwingTrail__ mod.